From 15108c90960235a9c61b8d001eb68c563f9f8aa1 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 13 Apr 2022 11:06:28 +0200
Subject: [PATCH 1/5] Install a few more files

---
 contrib/hstore/meson.build    | 1 +
 src/backend/utils/meson.build | 2 ++
 src/bin/psql/meson.build      | 2 ++
 src/include/meson.build       | 2 ++
 4 files changed, 7 insertions(+)

diff --git a/contrib/hstore/meson.build b/contrib/hstore/meson.build
index 661e61f969..e1e634b948 100644
--- a/contrib/hstore/meson.build
+++ b/contrib/hstore/meson.build
@@ -17,6 +17,7 @@ hstore = shared_module('hstore',
 install_data(
   'hstore.control',
   'hstore--1.1--1.2.sql',
+  'hstore--1.2--1.3.sql',
   'hstore--1.3--1.4.sql',
   'hstore--1.4.sql',
   'hstore--1.4--1.5.sql',
diff --git a/src/backend/utils/meson.build b/src/backend/utils/meson.build
index afb1c0346b..a936005886 100644
--- a/src/backend/utils/meson.build
+++ b/src/backend/utils/meson.build
@@ -1,3 +1,5 @@
+install_data('errcodes.txt', install_dir: 'share/')
+
 subdir('activity')
 subdir('adt')
 subdir('cache')
diff --git a/src/bin/psql/meson.build b/src/bin/psql/meson.build
index 75905a52c1..f9e3b1a32b 100644
--- a/src/bin/psql/meson.build
+++ b/src/bin/psql/meson.build
@@ -52,6 +52,8 @@ executable('psql',
   kwargs: default_bin_args,
 )
 
+install_data('psqlrc.sample', install_dir: 'share/')
+
 tap_tests += {
   'name': 'psql',
   'sd': meson.current_source_dir(),
diff --git a/src/include/meson.build b/src/include/meson.build
index c3af4a2574..86d91f55d6 100644
--- a/src/include/meson.build
+++ b/src/include/meson.build
@@ -43,6 +43,8 @@ configure_file(
   install: false
 )
 
+install_headers('postgres_ext.h')
+
 
 subdir('utils')
 subdir('storage')
-- 
2.35.1

